Package org.apache.cxf.transport

# Class AbstractTransportFactory

java.lang.Object
org.apache.cxf.transport.AbstractTransportFactory

public abstract class AbstractTransportFactory extends Object
Helper methods for `DestinationFactory`s and `ConduitInitiator`s.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PREFERRED_TRANSPORT_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTransportFactory()`
  `AbstractTransportFactory(List<String> ids)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final List<String>`
  `getTransportIds()`
  `Set<String>`
  `getUriPrefixes()`
  `void`
  `setTransportIds(List<String> transportIds)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PREFERRED_TRANSPORT_ID

    public static final String PREFERRED_TRANSPORT_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AbstractTransportFactory

    public AbstractTransportFactory()

  - ### AbstractTransportFactory

    public AbstractTransportFactory(List<String> ids)

- ## Method Details

  - ### getTransportIds

    public final List<String> getTransportIds()

  - ### setTransportIds

    public void setTransportIds(List<String> transportIds)

  - ### getUriPrefixes

    public Set<String> getUriPrefixes()